using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Leather
{
	public class LeatherSkirt : BaseArmor
	{
		[Constructable]
		public LeatherSkirt() : base( 0x1C08, OreInfo.Iron, 13, ArmorMaterialType.Leather, ArmorBodyType.Legs )
		{
			Weight = 3;
			DexBonus = 0;
			StrRequirement = 10;
		}

		public LeatherSkirt( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}