using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Ranger
{
	public class RangerGorget : BaseArmor
	{
		[Constructable]
		public RangerGorget() : base( 0x13D6, OreInfo.Iron, 16, ArmorMaterialType.Studded, ArmorBodyType.Gorget )
		{
			Name = "studded leather, ranger armor";
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 25;
			Hue = 0x59C;
		}

		public RangerGorget( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}