using System;
using Server.Network;
using Server.Items;

namespace Server.Scripts.Items.Weapons.Swords
{
	public class Cutlass : BaseSword
	{
		[Constructable]
		public Cutlass() : base( 6, 28, 45, 0x23B, 0x23A, 1, SkillName.Swords, WeaponType.Slashing, WeaponAnimation.Slash1H, 0x1441, Layer.OneHanded )
		{
			Weight = 8.0;
		}

		public Cutlass( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}