using System;
using Server;

namespace Server.Scripts.Misc
{
	public class AutoSave : Timer
	{
		private static TimeSpan Delay = TimeSpan.FromMinutes( 5.0 );

		public static void Initialize()
		{
			new AutoSave().Start();
		}

		public AutoSave() : base( Delay, Delay )
		{
		}

		protected override void OnTick()
		{
			World.Save( WorldSaveType.All );
		}
	}
}