using System;
using Server.Items;
using Server.Network;

namespace Server.Scripts.Items.Weapons.Axes
{
	public class Pickaxe : BaseAxe
	{
		[Constructable]
		public Pickaxe() : base( 1, 15, 35, 0x232, 0x23A, 1, SkillName.Swords, WeaponType.Axe, WeaponAnimation.Slash1H, 0xE86, Layer.OneHanded )
		{
			Weight = 11.0;
		}

		public Pickaxe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}