using System;
using Server.Network;
using Server.Items;

namespace Server.Scripts.Items.Weapons.Maces
{
	public class Club : BaseBashing
	{
		[Constructable]
		public Club() : base( 8, 24, 40, 0x233, 0x239, 1, SkillName.Macing, WeaponType.Bashing, WeaponAnimation.Bash1H, 0x13b4, Layer.OneHanded )
		{
			Weight = 9.0;
		}

		public Club( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}