using System;
using Server.Network;
using Server.Items;

namespace Server.Scripts.Items.Weapons.SpearsAndForks
{
	public class WarFork : BaseSpear
	{
		[Constructable]
		public WarFork() : base( 4, 32, 45, 0x236, 0x238, 1, SkillName.Fencing, WeaponType.Piercing, WeaponAnimation.Pierce1H, 0x1405, Layer.OneHanded )
		{
			Weight = 9.0;
		}

		public WarFork( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}